# norootforbuild

%define _prefix /usr

%if %suse_version >= 1010
%define _name		php5-pear-net_socket
%define _phpdir	php5
%define _peardir	PEAR
%define _pear		pear5
%else
%define _name		php4-pear-net_socket
%define _phpdir	php
%define _peardir	/
%define _pear		pear
%endif

# otherwise build fail on > 1010 due to /tmp files
# and --packageroot is the correct way but does not
# work on 10.1 (pear error..)
%if %suse_version > 1010
%define _packorinst --packagingroot
%else
%define _packorinst --installroot
%endif

Name:				%{_name}
Version:			1.0.8
Release:			2.5
Summary:			Net_Socket is a class interface to TCP sockets	
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Net_Socket/
Source0:			http://pear.php.net/get/Net_Socket-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

%if %suse_version >= 1010
PreReq:		php5-pear
BuildRequires:	php5-pear
%else
PreReq:		php4-pear
BuildRequires:	php4
BuildRequires:	php4-pear
%endif

%description
Net_Socket is a class interface to TCP sockets. It provides blocking
and non-blocking operation, with different reading and writing modes
(byte-wise, block-wise, line-wise and special formats like network
byte-order ip addresses).

Authors:
--------
	Stig Bakken
	Chuck Hagenbuch


%prep
%build

%install
%{_pear} -v install %{_packorinst}=%{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}%{_datadir}/%{_phpdir}/%{_peardir}/.{registry,filemap,lock,channels,depdb,depdblock}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/%{_phpdir}/%{_peardir}/Net/Socket.php

%changelog
* Thu Dec 07 2006 Marcus Hüwe <suse-tux@gmx.de>
- use --packagingroot instead of --installroot
* Sat Jun 10 2006 Marcus Hüwe <suse-tux@gmx.de>
- make spec file portable for all suse-versions
- adapt name-tag to suse's php-pear-naming-style
* Mon Apr 17 2006 Marcus Hüwe <suse-tux@gmx.de>
- rebuild on 10.1
* Mon Jan 23 2006 Marcus Hüwe <suse-tux@gmx.de>
- initial build
